// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.29.0
// 	protoc        v3.17.3
// source: yandex/cloud/ai/llm/v1alpha/llm_service.proto

package llm

import (
	_ "github.com/yandex-cloud/go-genproto/yandex/cloud"
	_ "github.com/yandex-cloud/go-genproto/yandex/cloud/api"
	operation "github.com/yandex-cloud/go-genproto/yandex/cloud/operation"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Enum to specify the type of embedding to be generated.
type EmbeddingRequest_EmbeddingType int32

const (
	// Unspecified embedding type.
	EmbeddingRequest_EMBEDDING_TYPE_UNSPECIFIED EmbeddingRequest_EmbeddingType = 0
	// Embedding for a query. Use this when you have a short query or search term
	// that you want to obtain an embedding for. Query embeddings are typically
	// used in information retrieval and search applications.
	EmbeddingRequest_EMBEDDING_TYPE_QUERY EmbeddingRequest_EmbeddingType = 1
	// Embedding for a document. Use this when you have a longer document or a piece
	// of text that you want to obtain an embedding for. Document embeddings are often
	// used in natural language understanding and document similarity tasks.
	EmbeddingRequest_EMBEDDING_TYPE_DOCUMENT EmbeddingRequest_EmbeddingType = 2
)

// Enum value maps for EmbeddingRequest_EmbeddingType.
var (
	EmbeddingRequest_EmbeddingType_name = map[int32]string{
		0: "EMBEDDING_TYPE_UNSPECIFIED",
		1: "EMBEDDING_TYPE_QUERY",
		2: "EMBEDDING_TYPE_DOCUMENT",
	}
	EmbeddingRequest_EmbeddingType_value = map[string]int32{
		"EMBEDDING_TYPE_UNSPECIFIED": 0,
		"EMBEDDING_TYPE_QUERY":       1,
		"EMBEDDING_TYPE_DOCUMENT":    2,
	}
)

func (x EmbeddingRequest_EmbeddingType) Enum() *EmbeddingRequest_EmbeddingType {
	p := new(EmbeddingRequest_EmbeddingType)
	*p = x
	return p
}

func (x EmbeddingRequest_EmbeddingType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EmbeddingRequest_EmbeddingType) Descriptor() protoreflect.EnumDescriptor {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_enumTypes[0].Descriptor()
}

func (EmbeddingRequest_EmbeddingType) Type() protoreflect.EnumType {
	return &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_enumTypes[0]
}

func (x EmbeddingRequest_EmbeddingType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EmbeddingRequest_EmbeddingType.Descriptor instead.
func (EmbeddingRequest_EmbeddingType) EnumDescriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{6, 0}
}

// Request for instructing the model to generate text.
type InstructRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The name or identifier of the model to be used for text generation.
	// Possible value for now: `general`.
	Model string `protobuf:"bytes,1,opt,name=model,proto3" json:"model,omitempty"`
	// Configuration options for text generation.
	GenerationOptions *GenerationOptions `protobuf:"bytes,2,opt,name=generation_options,json=generationOptions,proto3" json:"generation_options,omitempty"`
	// Text precondition or context of the request.
	// For example, if the instruction is "You are the youngest Nobel laureate",
	// the request text might be "Tell us about your daily routine".
	//
	// Types that are assignable to Instruction:
	//
	//	*InstructRequest_InstructionText
	//	*InstructRequest_InstructionUri
	Instruction isInstructRequest_Instruction `protobuf_oneof:"Instruction"`
	// Request for text generation.
	//
	// Types that are assignable to Request:
	//
	//	*InstructRequest_RequestText
	Request isInstructRequest_Request `protobuf_oneof:"Request"`
}

func (x *InstructRequest) Reset() {
	*x = InstructRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstructRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstructRequest) ProtoMessage() {}

func (x *InstructRequest) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstructRequest.ProtoReflect.Descriptor instead.
func (*InstructRequest) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{0}
}

func (x *InstructRequest) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *InstructRequest) GetGenerationOptions() *GenerationOptions {
	if x != nil {
		return x.GenerationOptions
	}
	return nil
}

func (m *InstructRequest) GetInstruction() isInstructRequest_Instruction {
	if m != nil {
		return m.Instruction
	}
	return nil
}

func (x *InstructRequest) GetInstructionText() string {
	if x, ok := x.GetInstruction().(*InstructRequest_InstructionText); ok {
		return x.InstructionText
	}
	return ""
}

func (x *InstructRequest) GetInstructionUri() string {
	if x, ok := x.GetInstruction().(*InstructRequest_InstructionUri); ok {
		return x.InstructionUri
	}
	return ""
}

func (m *InstructRequest) GetRequest() isInstructRequest_Request {
	if m != nil {
		return m.Request
	}
	return nil
}

func (x *InstructRequest) GetRequestText() string {
	if x, ok := x.GetRequest().(*InstructRequest_RequestText); ok {
		return x.RequestText
	}
	return ""
}

type isInstructRequest_Instruction interface {
	isInstructRequest_Instruction()
}

type InstructRequest_InstructionText struct {
	// The text-based instruction for text generation.
	InstructionText string `protobuf:"bytes,3,opt,name=instruction_text,json=instructionText,proto3,oneof"`
}

type InstructRequest_InstructionUri struct {
	// A URI containing instructions for text generation.
	InstructionUri string `protobuf:"bytes,5,opt,name=instruction_uri,json=instructionUri,proto3,oneof"`
}

func (*InstructRequest_InstructionText) isInstructRequest_Instruction() {}

func (*InstructRequest_InstructionUri) isInstructRequest_Instruction() {}

type isInstructRequest_Request interface {
	isInstructRequest_Request()
}

type InstructRequest_RequestText struct {
	// The text-based request for text generation.
	RequestText string `protobuf:"bytes,4,opt,name=request_text,json=requestText,proto3,oneof"`
}

func (*InstructRequest_RequestText) isInstructRequest_Request() {}

// Response containing generated text alternatives and token count.
type InstructResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// A list of alternative text responses.
	Alternatives []*Alternative `protobuf:"bytes,1,rep,name=alternatives,proto3" json:"alternatives,omitempty"`
	// The number of tokens used in the prompt, including both the [instruction_text] and [request_text].
	NumPromptTokens int64 `protobuf:"varint,2,opt,name=num_prompt_tokens,json=numPromptTokens,proto3" json:"num_prompt_tokens,omitempty"`
}

func (x *InstructResponse) Reset() {
	*x = InstructResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstructResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstructResponse) ProtoMessage() {}

func (x *InstructResponse) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstructResponse.ProtoReflect.Descriptor instead.
func (*InstructResponse) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{1}
}

func (x *InstructResponse) GetAlternatives() []*Alternative {
	if x != nil {
		return x.Alternatives
	}
	return nil
}

func (x *InstructResponse) GetNumPromptTokens() int64 {
	if x != nil {
		return x.NumPromptTokens
	}
	return 0
}

// Request to engage in a chat conversation with a text generation model.
type ChatRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The name or identifier of the model to be used for the chat.
	// Possible value for now: `general`.
	Model string `protobuf:"bytes,1,opt,name=model,proto3" json:"model,omitempty"`
	// Configuration options for text generation.
	GenerationOptions *GenerationOptions `protobuf:"bytes,2,opt,name=generation_options,json=generationOptions,proto3" json:"generation_options,omitempty"`
	// Text precondition or context of the request.
	// For example, the instruction may be "You are a helpful assistant".
	//
	// Types that are assignable to Instruction:
	//
	//	*ChatRequest_InstructionText
	Instruction isChatRequest_Instruction `protobuf_oneof:"Instruction"`
	// A list of messages in the conversation.
	Messages []*Message `protobuf:"bytes,4,rep,name=messages,proto3" json:"messages,omitempty"`
}

func (x *ChatRequest) Reset() {
	*x = ChatRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChatRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChatRequest) ProtoMessage() {}

func (x *ChatRequest) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChatRequest.ProtoReflect.Descriptor instead.
func (*ChatRequest) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{2}
}

func (x *ChatRequest) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *ChatRequest) GetGenerationOptions() *GenerationOptions {
	if x != nil {
		return x.GenerationOptions
	}
	return nil
}

func (m *ChatRequest) GetInstruction() isChatRequest_Instruction {
	if m != nil {
		return m.Instruction
	}
	return nil
}

func (x *ChatRequest) GetInstructionText() string {
	if x, ok := x.GetInstruction().(*ChatRequest_InstructionText); ok {
		return x.InstructionText
	}
	return ""
}

func (x *ChatRequest) GetMessages() []*Message {
	if x != nil {
		return x.Messages
	}
	return nil
}

type isChatRequest_Instruction interface {
	isChatRequest_Instruction()
}

type ChatRequest_InstructionText struct {
	// The text-based instruction for the conversation.
	InstructionText string `protobuf:"bytes,3,opt,name=instruction_text,json=instructionText,proto3,oneof"`
}

func (*ChatRequest_InstructionText) isChatRequest_Instruction() {}

// Contains a model-generated response for a chat query.
type ChatResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The assistant's message in the chat conversation.
	Message *Message `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	// Total number of tokens used in both the chat request and chat response.
	NumTokens int64 `protobuf:"varint,2,opt,name=num_tokens,json=numTokens,proto3" json:"num_tokens,omitempty"`
}

func (x *ChatResponse) Reset() {
	*x = ChatResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChatResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChatResponse) ProtoMessage() {}

func (x *ChatResponse) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChatResponse.ProtoReflect.Descriptor instead.
func (*ChatResponse) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{3}
}

func (x *ChatResponse) GetMessage() *Message {
	if x != nil {
		return x.Message
	}
	return nil
}

func (x *ChatResponse) GetNumTokens() int64 {
	if x != nil {
		return x.NumTokens
	}
	return 0
}

// Request to tokenize input text.
type TokenizeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The name or identifier of the model to be used for tokenization.
	// Possible values for now: `general`, `general:embedding`.
	Model string `protobuf:"bytes,1,opt,name=model,proto3" json:"model,omitempty"`
	// The input text to tokenize.
	Text string `protobuf:"bytes,2,opt,name=text,proto3" json:"text,omitempty"`
}

func (x *TokenizeRequest) Reset() {
	*x = TokenizeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TokenizeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TokenizeRequest) ProtoMessage() {}

func (x *TokenizeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TokenizeRequest.ProtoReflect.Descriptor instead.
func (*TokenizeRequest) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{4}
}

func (x *TokenizeRequest) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *TokenizeRequest) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

// Tokenization response.
type TokenizeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// A list of tokens obtained from tokenization.
	Tokens []*Token `protobuf:"bytes,1,rep,name=tokens,proto3" json:"tokens,omitempty"`
}

func (x *TokenizeResponse) Reset() {
	*x = TokenizeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TokenizeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TokenizeResponse) ProtoMessage() {}

func (x *TokenizeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TokenizeResponse.ProtoReflect.Descriptor instead.
func (*TokenizeResponse) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{5}
}

func (x *TokenizeResponse) GetTokens() []*Token {
	if x != nil {
		return x.Tokens
	}
	return nil
}

// Represents a request to obtain embeddings for text data.
type EmbeddingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The type of embedding to be generated.
	EmbeddingType EmbeddingRequest_EmbeddingType `protobuf:"varint,1,opt,name=embedding_type,json=embeddingType,proto3,enum=yandex.cloud.ai.llm.v1alpha.EmbeddingRequest_EmbeddingType" json:"embedding_type,omitempty"`
	// The name or identifier of the model to be used for embedding. Possible value for now: `general:embedding`.
	Model string `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
	// The input text for which the embedding is requested.
	Text string `protobuf:"bytes,3,opt,name=text,proto3" json:"text,omitempty"`
}

func (x *EmbeddingRequest) Reset() {
	*x = EmbeddingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmbeddingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmbeddingRequest) ProtoMessage() {}

func (x *EmbeddingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmbeddingRequest.ProtoReflect.Descriptor instead.
func (*EmbeddingRequest) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{6}
}

func (x *EmbeddingRequest) GetEmbeddingType() EmbeddingRequest_EmbeddingType {
	if x != nil {
		return x.EmbeddingType
	}
	return EmbeddingRequest_EMBEDDING_TYPE_UNSPECIFIED
}

func (x *EmbeddingRequest) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *EmbeddingRequest) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

// Represents a response containing embeddings for input text data.
type EmbeddingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// A repeated list of double values representing the embedding.
	Embedding []float64 `protobuf:"fixed64,1,rep,packed,name=embedding,proto3" json:"embedding,omitempty"`
	// The number of tokens in the input text.
	NumTokens int64 `protobuf:"varint,2,opt,name=num_tokens,json=numTokens,proto3" json:"num_tokens,omitempty"`
}

func (x *EmbeddingResponse) Reset() {
	*x = EmbeddingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmbeddingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmbeddingResponse) ProtoMessage() {}

func (x *EmbeddingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmbeddingResponse.ProtoReflect.Descriptor instead.
func (*EmbeddingResponse) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP(), []int{7}
}

func (x *EmbeddingResponse) GetEmbedding() []float64 {
	if x != nil {
		return x.Embedding
	}
	return nil
}

func (x *EmbeddingResponse) GetNumTokens() int64 {
	if x != nil {
		return x.NumTokens
	}
	return 0
}

var File_yandex_cloud_ai_llm_v1alpha_llm_service_proto protoreflect.FileDescriptor

var file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDesc = []byte{
	0x0a, 0x2d, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61,
	0x69, 0x2f, 0x6c, 0x6c, 0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x6c, 0x6c,
	0x6d, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x1b, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69,
	0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x1a, 0x25, 0x79, 0x61,
	0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61, 0x69, 0x2f, 0x6c, 0x6c,
	0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x6c, 0x6c, 0x6d, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f,
	0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1d, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x20, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x26, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2f, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x6f, 0x70, 0x65, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa7, 0x02, 0x0a, 0x0f, 0x49,
	0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1e,
	0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0x8a,
	0xc8, 0x31, 0x04, 0x3c, 0x3d, 0x35, 0x30, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x5d,
	0x0a, 0x12, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x79, 0x61, 0x6e,
	0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d,
	0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x11, 0x67, 0x65, 0x6e, 0x65,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x2b, 0x0a,
	0x10, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x65, 0x78,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x0f, 0x69, 0x6e, 0x73, 0x74, 0x72,
	0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x65, 0x78, 0x74, 0x12, 0x29, 0x0a, 0x0f, 0x69, 0x6e,
	0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x0e, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x55, 0x72, 0x69, 0x12, 0x23, 0x0a, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x5f, 0x74, 0x65, 0x78, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x0b, 0x72,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x54, 0x65, 0x78, 0x74, 0x42, 0x0d, 0x0a, 0x0b, 0x49, 0x6e,
	0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x09, 0x0a, 0x07, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x22, 0x8c, 0x01, 0x0a, 0x10, 0x49, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4c, 0x0a, 0x0c, 0x61, 0x6c, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x28, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61,
	0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x41, 0x6c,
	0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x52, 0x0c, 0x61, 0x6c, 0x74, 0x65, 0x72,
	0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x11, 0x6e, 0x75, 0x6d, 0x5f, 0x70,
	0x72, 0x6f, 0x6d, 0x70, 0x74, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0f, 0x6e, 0x75, 0x6d, 0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x54, 0x6f, 0x6b,
	0x65, 0x6e, 0x73, 0x22, 0x8a, 0x02, 0x0a, 0x0b, 0x43, 0x68, 0x61, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x1e, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x42, 0x08, 0x8a, 0xc8, 0x31, 0x04, 0x3c, 0x3d, 0x35, 0x30, 0x52, 0x05, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x12, 0x5d, 0x0a, 0x12, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x2e, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61,
	0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x47, 0x65,
	0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52,
	0x11, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x12, 0x2b, 0x0a, 0x10, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x74, 0x65, 0x78, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x0f,
	0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x65, 0x78, 0x74, 0x12,
	0x40, 0x0a, 0x08, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x08, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x73, 0x42, 0x0d, 0x0a, 0x0b, 0x49, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x22, 0x6d, 0x0a, 0x0c, 0x43, 0x68, 0x61, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x3e, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x1d, 0x0a, 0x0a, 0x6e, 0x75, 0x6d, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x6e, 0x75, 0x6d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x22,
	0x45, 0x0a, 0x0f, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x1e, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x42, 0x08, 0x8a, 0xc8, 0x31, 0x04, 0x3c, 0x3d, 0x35, 0x30, 0x52, 0x05, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x22, 0x4e, 0x0a, 0x10, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69,
	0x7a, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3a, 0x0a, 0x06, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x79, 0x61, 0x6e,
	0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d,
	0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x06,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x22, 0x92, 0x02, 0x0a, 0x10, 0x45, 0x6d, 0x62, 0x65, 0x64,
	0x64, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x62, 0x0a, 0x0e, 0x65,
	0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x3b, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68,
	0x61, 0x2e, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x0d, 0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x1e, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08,
	0x8a, 0xc8, 0x31, 0x04, 0x3c, 0x3d, 0x35, 0x30, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12,
	0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74,
	0x65, 0x78, 0x74, 0x22, 0x66, 0x0a, 0x0d, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x1e, 0x0a, 0x1a, 0x45, 0x4d, 0x42, 0x45, 0x44, 0x44, 0x49, 0x4e,
	0x47, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x18, 0x0a, 0x14, 0x45, 0x4d, 0x42, 0x45, 0x44, 0x44, 0x49, 0x4e,
	0x47, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x51, 0x55, 0x45, 0x52, 0x59, 0x10, 0x01, 0x12, 0x1b,
	0x0a, 0x17, 0x45, 0x4d, 0x42, 0x45, 0x44, 0x44, 0x49, 0x4e, 0x47, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x02, 0x22, 0x50, 0x0a, 0x11, 0x45,
	0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x1c, 0x0a, 0x09, 0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x01, 0x52, 0x09, 0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x12, 0x1d,
	0x0a, 0x0a, 0x6e, 0x75, 0x6d, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x09, 0x6e, 0x75, 0x6d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x73, 0x32, 0xa2, 0x02,
	0x0a, 0x15, 0x54, 0x65, 0x78, 0x74, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x8b, 0x01, 0x0a, 0x08, 0x49, 0x6e, 0x73, 0x74,
	0x72, 0x75, 0x63, 0x74, 0x12, 0x2c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0x2e, 0x49, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2e, 0x49, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x20, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1a, 0x3a, 0x01, 0x2a, 0x22, 0x15, 0x2f, 0x6c,
	0x6c, 0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x69, 0x6e, 0x73, 0x74, 0x72,
	0x75, 0x63, 0x74, 0x30, 0x01, 0x12, 0x7b, 0x0a, 0x04, 0x43, 0x68, 0x61, 0x74, 0x12, 0x28, 0x2e,
	0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e,
	0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x43, 0x68, 0x61, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x43, 0x68, 0x61, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x1c, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x16, 0x3a, 0x01, 0x2a, 0x22, 0x11, 0x2f,
	0x6c, 0x6c, 0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x63, 0x68, 0x61, 0x74,
	0x30, 0x01, 0x32, 0x9e, 0x01, 0x0a, 0x10, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x72,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x89, 0x01, 0x0a, 0x08, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x69, 0x7a, 0x65, 0x12, 0x2c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x20, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1a, 0x3a, 0x01, 0x2a, 0x22, 0x15, 0x2f, 0x6c,
	0x6c, 0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e,
	0x69, 0x7a, 0x65, 0x32, 0xa3, 0x01, 0x0a, 0x11, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e,
	0x67, 0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x8d, 0x01, 0x0a, 0x09, 0x45, 0x6d,
	0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x12, 0x2d, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61,
	0x6c, 0x70, 0x68, 0x61, 0x2e, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x21, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1b, 0x3a, 0x01,
	0x2a, 0x22, 0x16, 0x2f, 0x6c, 0x6c, 0x6d, 0x2f, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f,
	0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x69, 0x6e, 0x67, 0x32, 0xb7, 0x01, 0x0a, 0x1a, 0x54, 0x65,
	0x78, 0x74, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x41, 0x73, 0x79, 0x6e,
	0x63, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x98, 0x01, 0x0a, 0x08, 0x49, 0x6e, 0x73,
	0x74, 0x72, 0x75, 0x63, 0x74, 0x12, 0x2c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76, 0x31, 0x61, 0x6c,
	0x70, 0x68, 0x61, 0x2e, 0x49, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x4f, 0x70, 0x65,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x3b, 0xb2, 0xd2, 0x2a, 0x12, 0x12, 0x10, 0x49, 0x6e,
	0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x82, 0xd3,
	0xe4, 0x93, 0x02, 0x1f, 0x3a, 0x01, 0x2a, 0x22, 0x1a, 0x2f, 0x6c, 0x6c, 0x6d, 0x2f, 0x76, 0x31,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x69, 0x6e, 0x73, 0x74, 0x72, 0x75, 0x63, 0x74, 0x41, 0x73,
	0x79, 0x6e, 0x63, 0x42, 0x66, 0x0a, 0x1f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x69, 0x2e, 0x6c, 0x6c, 0x6d, 0x2e, 0x76,
	0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x5a, 0x43, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f,
	0x67, 0x6f, 0x2d, 0x67, 0x65, 0x6e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x79, 0x61, 0x6e, 0x64,
	0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61, 0x69, 0x2f, 0x6c, 0x6c, 0x6d, 0x2f,
	0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x3b, 0x6c, 0x6c, 0x6d, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescOnce sync.Once
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescData = file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDesc
)

func file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescGZIP() []byte {
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescOnce.Do(func() {
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescData)
	})
	return file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDescData
}

var file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_goTypes = []interface{}{
	(EmbeddingRequest_EmbeddingType)(0), // 0: yandex.cloud.ai.llm.v1alpha.EmbeddingRequest.EmbeddingType
	(*InstructRequest)(nil),             // 1: yandex.cloud.ai.llm.v1alpha.InstructRequest
	(*InstructResponse)(nil),            // 2: yandex.cloud.ai.llm.v1alpha.InstructResponse
	(*ChatRequest)(nil),                 // 3: yandex.cloud.ai.llm.v1alpha.ChatRequest
	(*ChatResponse)(nil),                // 4: yandex.cloud.ai.llm.v1alpha.ChatResponse
	(*TokenizeRequest)(nil),             // 5: yandex.cloud.ai.llm.v1alpha.TokenizeRequest
	(*TokenizeResponse)(nil),            // 6: yandex.cloud.ai.llm.v1alpha.TokenizeResponse
	(*EmbeddingRequest)(nil),            // 7: yandex.cloud.ai.llm.v1alpha.EmbeddingRequest
	(*EmbeddingResponse)(nil),           // 8: yandex.cloud.ai.llm.v1alpha.EmbeddingResponse
	(*GenerationOptions)(nil),           // 9: yandex.cloud.ai.llm.v1alpha.GenerationOptions
	(*Alternative)(nil),                 // 10: yandex.cloud.ai.llm.v1alpha.Alternative
	(*Message)(nil),                     // 11: yandex.cloud.ai.llm.v1alpha.Message
	(*Token)(nil),                       // 12: yandex.cloud.ai.llm.v1alpha.Token
	(*operation.Operation)(nil),         // 13: yandex.cloud.operation.Operation
}
var file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_depIdxs = []int32{
	9,  // 0: yandex.cloud.ai.llm.v1alpha.InstructRequest.generation_options:type_name -> yandex.cloud.ai.llm.v1alpha.GenerationOptions
	10, // 1: yandex.cloud.ai.llm.v1alpha.InstructResponse.alternatives:type_name -> yandex.cloud.ai.llm.v1alpha.Alternative
	9,  // 2: yandex.cloud.ai.llm.v1alpha.ChatRequest.generation_options:type_name -> yandex.cloud.ai.llm.v1alpha.GenerationOptions
	11, // 3: yandex.cloud.ai.llm.v1alpha.ChatRequest.messages:type_name -> yandex.cloud.ai.llm.v1alpha.Message
	11, // 4: yandex.cloud.ai.llm.v1alpha.ChatResponse.message:type_name -> yandex.cloud.ai.llm.v1alpha.Message
	12, // 5: yandex.cloud.ai.llm.v1alpha.TokenizeResponse.tokens:type_name -> yandex.cloud.ai.llm.v1alpha.Token
	0,  // 6: yandex.cloud.ai.llm.v1alpha.EmbeddingRequest.embedding_type:type_name -> yandex.cloud.ai.llm.v1alpha.EmbeddingRequest.EmbeddingType
	1,  // 7: yandex.cloud.ai.llm.v1alpha.TextGenerationService.Instruct:input_type -> yandex.cloud.ai.llm.v1alpha.InstructRequest
	3,  // 8: yandex.cloud.ai.llm.v1alpha.TextGenerationService.Chat:input_type -> yandex.cloud.ai.llm.v1alpha.ChatRequest
	5,  // 9: yandex.cloud.ai.llm.v1alpha.TokenizerService.Tokenize:input_type -> yandex.cloud.ai.llm.v1alpha.TokenizeRequest
	7,  // 10: yandex.cloud.ai.llm.v1alpha.EmbeddingsService.Embedding:input_type -> yandex.cloud.ai.llm.v1alpha.EmbeddingRequest
	1,  // 11: yandex.cloud.ai.llm.v1alpha.TextGenerationAsyncService.Instruct:input_type -> yandex.cloud.ai.llm.v1alpha.InstructRequest
	2,  // 12: yandex.cloud.ai.llm.v1alpha.TextGenerationService.Instruct:output_type -> yandex.cloud.ai.llm.v1alpha.InstructResponse
	4,  // 13: yandex.cloud.ai.llm.v1alpha.TextGenerationService.Chat:output_type -> yandex.cloud.ai.llm.v1alpha.ChatResponse
	6,  // 14: yandex.cloud.ai.llm.v1alpha.TokenizerService.Tokenize:output_type -> yandex.cloud.ai.llm.v1alpha.TokenizeResponse
	8,  // 15: yandex.cloud.ai.llm.v1alpha.EmbeddingsService.Embedding:output_type -> yandex.cloud.ai.llm.v1alpha.EmbeddingResponse
	13, // 16: yandex.cloud.ai.llm.v1alpha.TextGenerationAsyncService.Instruct:output_type -> yandex.cloud.operation.Operation
	12, // [12:17] is the sub-list for method output_type
	7,  // [7:12] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_init() }
func file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_init() {
	if File_yandex_cloud_ai_llm_v1alpha_llm_service_proto != nil {
		return
	}
	file_yandex_cloud_ai_llm_v1alpha_llm_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstructRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstructResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChatRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChatResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TokenizeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TokenizeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmbeddingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmbeddingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*InstructRequest_InstructionText)(nil),
		(*InstructRequest_InstructionUri)(nil),
		(*InstructRequest_RequestText)(nil),
	}
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes[2].OneofWrappers = []interface{}{
		(*ChatRequest_InstructionText)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   4,
		},
		GoTypes:           file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_goTypes,
		DependencyIndexes: file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_depIdxs,
		EnumInfos:         file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_enumTypes,
		MessageInfos:      file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_msgTypes,
	}.Build()
	File_yandex_cloud_ai_llm_v1alpha_llm_service_proto = out.File
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_rawDesc = nil
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_goTypes = nil
	file_yandex_cloud_ai_llm_v1alpha_llm_service_proto_depIdxs = nil
}
